<!--
 Copyright (c) 2014, 2017, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
 
<section id="main" class="wrapper">
	<div class="inner">
		<header class="align-center">
			<h1>HSCode</h1>
			
		</header>
		<div class="row">
			<div class="12u$ 12u$(medium)">
				<div class="row uniform">
					
					<div class="6u 12u$(small)">
						<oj-input-text placeholder='Search for HSCode' id="txtSearch"  inputmode="number"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="6u$ 12u$(small)">
						<!--
						<button id= "btnCheck" class="button special fit oj-button-confirm" chroming="outlined"
						data-bind="click: searchButtonAction,
								   ojComponent: { component: 'ojButton', label: 'Search...' }">
						</button>
						-->
						<a href="#" class="button default icon fa-search" data-bind="click: searchButtonAction">Search</a>
					</div>
					<div class="12u$ 12u$(small)">
						<span id="status"></span>
						<br/>
						<p><br/></p>
					</div>
					
				</div>
			</div>
			<div class="12u$ 12u$(medium)">
				<oj-table id="HSCodeList" aria-label="HSCode List"
					data='[[paginDataSource]]' 
					display='grid'
					selection-mode='{"row": "single"}'
					columns-default='{"sortable": "enabled"}' 
					columns='[
							  {"headerText": "HSCode",  "field": "hscode", "style": "width: 35%"},
							   
							  {"headerText": "Description",  "field": "description", "style": "width: 55%"},
							  
							  {"headerText": "Applicant Name", "field": "status", "style": "width: 20%"}
							   
							  ]' 
					style='width: 100%;'>
					<oj-paging-control id="paging" data='[[paginDataSource]]' page-size='6' slot='bottom'>
					</oj-paging-control>
				</oj-table>
			</div>
			
			<div class="12u$ 12u$(medium)">
				<oj-dialog style="display:none; width:80%; height:600px;" id="modalDialog1" 
							modality="modal" dialog-title="Upload HSCode" cancel-behavior='none'>
					<div slot="header">
					   <h4 id="dialogTitleId" class="oj-dialog-title"> Upload HSCode
					   </h4>
					</div>
					<div slot="body">
						<div class="row uniform">
							<div class="5u 12u$(small)">
								<p>
								To upload new set of HS Codes, you must have them in CSV format.<br/>
								You can drag and drop a CSV file in the space below or click on the dropzone to select the 
								file on your filesystem.<br/>After selecting the file, the content will be displayed on a grid. 
								Review and click on the save to system to persist HS Codes. All duplicates on the system will be ignored.
								</p>
								<oj-file-picker on-oj-select='[[selectListener]]' style='max-width: 100%;'>
									<div tabindex='0' slot='trigger'
										  class='oj-filepicker-dropzone'>
									   <p class='oj-filepicker-text'><br/>I'm a clickable dropzone<br/>&nbsp;</p>
									</div>
								</oj-file-picker>
								<br/>
								<span id="selectedFile"></span>
								<br/>
								<span id="uploadStatus"></span><br/>
								<a href="#" class="button alt fit small" data-bind="click: processCSVButtonAction">Process File Content</a>
							</div>
							<div id="csvGrid" class="7u$ 12u$(medium)">
								<p>Uploaded HS Codes</p>
								<oj-table id="uploadedList" aria-label="HS Uploaded List"
									data='[[uploadPaginDataSource]]' 
									display='grid'
									selection-mode='{"row": "single"}'
									columns-default='{"sortable": "enabled"}' 
									columns='[
											  {"headerText": "HSCode",  "field": "hscode", "style": "width: 35%"},
											   
											  {"headerText": "Description",  "field": "description", "style": "width: 55%"}
											  
											  ]' 
									style='width: 100%;'>
									<oj-paging-control id="paging" data='[[uploadPaginDataSource]]' page-size='15' slot='bottom'>
									</oj-paging-control>
								</oj-table>
							</div>
							<div id="csvSpace" class="5u 12u$(small)"></div>
							<div id="csvDropdown" class="7u$ 12u$(small)">
								<div class="select-wrapper">
									<select id="cbStatus" data-bind="options: statusList,
										   optionsText: 'label',
										   optionsValue: 'value', 
										   value: defaultStatus,
										   optionsCaption: 'Choose HSCode Status...'" required>
									</select>
								</div>
							</div>
							
						</div> 
					</div>
					<div slot="footer">
					  <span id="savestatus">Click save after processing file content</span>&nbsp;&nbsp;&nbsp;&nbsp;<br/>
					  <a href="#" class="button special fit small" data-bind="click: uploadSaveAction">Save to System</a>
					  &nbsp;&nbsp;
					  <a href="#" class="button alt fit small" data-bind="click: close">Cancel</a>
					</div>
				</oj-dialog>
			</div>
			
			<div class="6u$ 12u$(medium)">
				<br/><br/>
				<a href="#" class="button special fit small" data-bind="click: open">Add New</a>
			</div>
			
		</div>
	</div>
</section>


